.TH wxFileDialog 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxFileDialog \- See external documentation: wxFileDialog\&.
.SH DESCRIPTION
.LP
See external documentation: wxFileDialog <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxDialog 
.br
wxTopLevelWindow 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxFileDialog()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxFileDialog()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxFileDialog()
.br
.RS
.TP
Types
Option = {message, string()} | {defaultDir, string()} | {defaultFile, string()} | {wildCard, string()} | {style, integer()} | {pos, {X::integer(), Y::integer()}} | {sz, {W::integer(), H::integer()}}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html#wxfiledialogwxfiledialog>\&.
.RE
.LP
.B
getDirectory(This::wxFileDialog()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html#wxfiledialoggetdirectory>\&.
.RE
.LP
.B
getFilename(This::wxFileDialog()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html#wxfiledialoggetfilename>\&.
.RE
.LP
.B
getFilenames(This::wxFileDialog()) -> [[string()]]
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html#wxfiledialoggetfilenames>\&.
.RE
.LP
.B
getFilterIndex(This::wxFileDialog()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html#wxfiledialoggetfilterindex>\&.
.RE
.LP
.B
getMessage(This::wxFileDialog()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html#wxfiledialoggetmessage>\&.
.RE
.LP
.B
getPath(This::wxFileDialog()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html#wxfiledialoggetpath>\&.
.RE
.LP
.B
getPaths(This::wxFileDialog(), Paths::[[string()]]) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html#wxfiledialoggetpaths>\&.
.RE
.LP
.B
getWildcard(This::wxFileDialog()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html#wxfiledialoggetwildcard>\&.
.RE
.LP
.B
setDirectory(This::wxFileDialog(), Dir::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html#wxfiledialogsetdirectory>\&.
.RE
.LP
.B
setFilename(This::wxFileDialog(), Name::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html#wxfiledialogsetfilename>\&.
.RE
.LP
.B
setFilterIndex(This::wxFileDialog(), FilterIndex::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html#wxfiledialogsetfilterindex>\&.
.RE
.LP
.B
setMessage(This::wxFileDialog(), Message::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html#wxfiledialogsetmessage>\&.
.RE
.LP
.B
setPath(This::wxFileDialog(), Path::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html#wxfiledialogsetpath>\&.
.RE
.LP
.B
setWildcard(This::wxFileDialog(), WildCard::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledialog\&.html#wxfiledialogsetwildcard>\&.
.RE
.LP
.B
destroy(This::wxFileDialog()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
